Bug 1537805 - Review Request: python-josepy - JOSE protocol implementation in Python
Summary: Review Request: python-josepy - JOSE protocol implementation in Python
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1535995
TreeView+ depends on / blocked
 
Reported: 2018-01-23 22:51 UTC by Eli Young
Modified: 2018-02-06 15:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-06 15:34:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
james.hogarth: fedora-review+


Attachments (Terms of Use)

Description Eli Young 2018-01-23 22:51:05 UTC
Spec URL: http://elyscape.fedorapeople.org//python-josepy.spec
SRPM URL: http://elyscape.fedorapeople.org//python-josepy-1.0.1-1.fc28.src.rpm

Description:
JOSE protocol implementation in Python using cryptography.

Comment 1 Eli Young 2018-01-23 22:58:06 UTC
Some notes:

The tests are currently disabled because they require various Python packages that are not themselves packaged yet, including pytest-flake8 and pytest-isort.

Documentation building is disabled on EL7 because it requires python-sphinx_rtd_theme, which has a dependency on fontawesome-fonts-web, which despite being a noarch package is only in the Base repos for RHEL7 on x86_64. This caused builds in Koji to fail.

Comment 2 James Hogarth 2018-02-02 01:39:05 UTC
Licensing is fine.

Uses standard python spec template.

Package approved

Comment 3 Gwyn Ciesla 2018-02-02 13:11:09 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-josepy. You may commit to the branch "f27" in about 10 minutes.

Comment 4 Fedora Update System 2018-02-03 03:25:33 UTC
python-certbot-dns-rfc2136-0.21.1-1.fc27 python-certbot-nginx-0.21.1-1.fc27 python-certbot-apache-0.21.1-1.fc27 certbot-0.21.1-1.fc27 python-acme-0.21.1-1.fc27 python-josepy-1.0.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1e68f5a90

Comment 5 Fedora Update System 2018-02-03 03:27:57 UTC
python-certbot-dns-rfc2136-0.21.1-1.fc26 python-certbot-nginx-0.21.1-1.fc26 python-certbot-apache-0.21.1-1.fc26 certbot-0.21.1-1.fc26 python-acme-0.21.1-1.fc26 python-josepy-1.0.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ebece1f82

Comment 6 Fedora Update System 2018-02-03 03:29:43 UTC
python-certbot-dns-rfc2136-0.21.1-1.el7 python-certbot-nginx-0.21.1-1.el7 python-certbot-apache-0.21.1-1.el7 certbot-0.21.1-1.el7 python-acme-0.21.1-1.el7 python-josepy-1.0.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9f169b75bd

Comment 7 Fedora Update System 2018-02-04 19:38:33 UTC
certbot-0.21.1-1.el7, python-acme-0.21.1-1.el7, python-certbot-apache-0.21.1-1.el7, python-certbot-dns-rfc2136-0.21.1-1.el7, python-certbot-nginx-0.21.1-1.el7, python-josepy-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-9f169b75bd

Comment 8 Fedora Update System 2018-02-04 20:02:25 UTC
certbot-0.21.1-1.fc26, python-acme-0.21.1-1.fc26, python-certbot-apache-0.21.1-1.fc26, python-certbot-dns-rfc2136-0.21.1-1.fc26, python-certbot-nginx-0.21.1-1.fc26, python-josepy-1.0.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ebece1f82

Comment 9 Fedora Update System 2018-02-04 20:17:58 UTC
certbot-0.21.1-1.fc27, python-acme-0.21.1-1.fc27, python-certbot-apache-0.21.1-1.fc27, python-certbot-dns-rfc2136-0.21.1-1.fc27, python-certbot-nginx-0.21.1-1.fc27, python-josepy-1.0.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f1e68f5a90

Comment 10 Fedora Update System 2018-02-06 10:52:09 UTC
certbot-0.21.1-1.fc26, python-acme-0.21.1-1.fc26, python-certbot-apache-0.21.1-1.fc26, python-certbot-dns-rfc2136-0.21.1-1.fc26, python-certbot-nginx-0.21.1-1.fc26, python-josepy-1.0.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-02-06 13:18:09 UTC
certbot-0.21.1-1.el7, python-acme-0.21.1-1.el7, python-certbot-apache-0.21.1-1.el7, python-certbot-dns-rfc2136-0.21.1-1.el7, python-certbot-nginx-0.21.1-1.el7, python-josepy-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-06 15:34:46 UTC
certbot-0.21.1-1.fc27, python-acme-0.21.1-1.fc27, python-certbot-apache-0.21.1-1.fc27, python-certbot-dns-rfc2136-0.21.1-1.fc27, python-certbot-nginx-0.21.1-1.fc27, python-josepy-1.0.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.